/****************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one   *
 * or more contributor license agreements.  See the NOTICE file *
 * distributed with this work for additional information        *
 * regarding copyright ownership.  The ASF licenses this file   *
 * to you under the Apache License, Version 2.0 (the            *
 * "License"); you may not use this file except in compliance   *
 * with the License.  You may obtain a copy of the License at   *
 *                                                              *
 *   http://www.apache.org/licenses/LICENSE-2.0                 *
 *                                                              *
 * Unless required by applicable law or agreed to in writing,   *
 * software distributed under the License is distributed on an  *
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY       *
 * KIND, either express or implied.  See the License for the    *
 * specific language governing permissions and limitations      *
 * under the License.                                           *
 ****************************************************************/
package org.apache.james.backends.cassandra.migration;

import java.util.Map;
import java.util.Optional;

import javax.inject.Inject;

import org.apache.james.backends.cassandra.versions.SchemaTransition;

import com.google.common.annotations.VisibleForTesting;

public class CassandraSchemaTransitions {

    private final Map<SchemaTransition, Migration> transitions;

    @Inject
    @VisibleForTesting
    public CassandraSchemaTransitions(Map<SchemaTransition, Migration> transitions) {
        this.transitions = transitions;
    }

    public Optional<Migration> findMigration(SchemaTransition transition) {
        return Optional.ofNullable(transitions.get(transition));
    }
}
