/****************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one   *
 * or more contributor license agreements.  See the NOTICE file *
 * distributed with this work for additional information        *
 * regarding copyright ownership.  The ASF licenses this file   *
 * to you under the Apache License, Version 2.0 (the            *
 * "License"); you may not use this file except in compliance   *
 * with the License.  You may obtain a copy of the License at   *
 *                                                              *
 *   http://www.apache.org/licenses/LICENSE-2.0                 *
 *                                                              *
 * Unless required by applicable law or agreed to in writing,   *
 * software distributed under the License is distributed on an  *
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY       *
 * KIND, either express or implied.  See the License for the    *
 * specific language governing permissions and limitations      *
 * under the License.                                           *
 ****************************************************************/

package org.apache.james.transport.mailets.utils;

import java.nio.charset.StandardCharsets;
import java.util.Optional;

import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;

public class MimeMessageModifier {

    private final MimeMessage message;

    public MimeMessageModifier(MimeMessage message) {
        this.message = message;
    }

    public void replaceSubject(Optional<String> newSubject) throws MessagingException {
        if (newSubject.isPresent()) {
            message.setSubject(null);
            message.setSubject(newSubject.get(), StandardCharsets.UTF_8.displayName());
        }
    }
}
