/****************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one   *
 * or more contributor license agreements.  See the NOTICE file *
 * distributed with this work for additional information        *
 * regarding copyright ownership.  The ASF licenses this file   *
 * to you under the Apache License, Version 2.0 (the            *
 * "License"); you may not use this file except in compliance   *
 * with the License.  You may obtain a copy of the License at   *
 *                                                              *
 *   http://www.apache.org/licenses/LICENSE-2.0                 *
 *                                                              *
 * Unless required by applicable law or agreed to in writing,   *
 * software distributed under the License is distributed on an  *
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY       *
 * KIND, either express or implied.  See the License for the    *
 * specific language governing permissions and limitations      *
 * under the License.                                           *
 ****************************************************************/
package org.apache.james.imap.encode;

import java.io.IOException;

import org.apache.james.imap.api.ImapConstants;
import org.apache.james.imap.message.response.ListResponse;

/**
 * Encoders IMAP4rev1 <code>List</code> responses.
 */
public class ListResponseEncoder implements ImapResponseEncoder<ListResponse> {
    @Override
    public Class<ListResponse> acceptableMessages() {
        return ListResponse.class;
    }

    @Override
    public void encode(ListResponse response, ImapResponseComposer composer) throws IOException {
        ListingEncodingUtils.encodeListingResponse(ImapConstants.LIST_COMMAND, composer, response);
    }
}
