/****************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one   *
 * or more contributor license agreements.  See the NOTICE file *
 * distributed with this work for additional information        *
 * regarding copyright ownership.  The ASF licenses this file   *
 * to you under the Apache License, Version 2.0 (the            *
 * "License"); you may not use this file except in compliance   *
 * with the License.  You may obtain a copy of the License at   *
 *                                                              *
 *   http://www.apache.org/licenses/LICENSE-2.0                 *
 *                                                              *
 * Unless required by applicable law or agreed to in writing,   *
 * software distributed under the License is distributed on an  *
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY       *
 * KIND, either express or implied.  See the License for the    *
 * specific language governing permissions and limitations      *
 * under the License.                                           *
 ****************************************************************/

package org.apache.james.webadmin.dto;

import java.io.UnsupportedEncodingException;

import org.apache.james.mailrepository.api.MailRepositoryPath;

public class ExtendedMailRepositoryResponse implements MailRepositoryResponse {

    private final MailRepositoryPath repository;
    private final long size;

    public ExtendedMailRepositoryResponse(MailRepositoryPath repository, long size) {
        this.repository = repository;
        this.size = size;
    }

    @Override
    public String getRepository() {
        return repository.asString();
    }

    @Override
    public String getPath() throws UnsupportedEncodingException {
        return repository.urlEncoded();
    }

    public long getSize() {
        return size;
    }
}
